# $Revision: 1.16 $, $Date: 2012/01/22 16:26:07 $
%define		module	IPy
Summary:	Class and tools for handling of IPv4 and IPv6 addresses and networks
Summary(pl.UTF-8):	Klasy i narzędzia do obsługi adresów i sieci IPv4 i IPv6
Name:		python-%{module}
Version:	0.75
Release:	1
License:	BSD
Group:		Libraries/Python
Source0:	http://cheeseshop.python.org/packages/source/I/IPy/%{module}-%{version}.tar.gz
# Source0-md5:	d56716a3d8c77fe8539b6e90c88010bd
URL:		https://github.com/haypo/python-ipy/wiki
BuildRequires:	python-devel >= 1:2.5
BuildRequires:	python-setuptools
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.174
%pyrequires_eq	python-modules
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The IP class allows a comfortable parsing and handling for most
notations in use for IPv4 and IPv6 Addresses and Networks. It was
greatly inspired bei RIPE's Perl module Net::IP's interface but
doesn't share the Implementation. It doesn't share non-CIDR netmasks,
so funky stuff lixe a netmask 0xffffff0f can't be done here.

%description -l pl.UTF-8
Klasa IP pozwala w wygodny sposób analizować i obsługiwać większość
używanych notacji zapisu adresów i sieci IPv4 i IPv6. Jest w dużej
części zainspirowana interfejsem modułu Perla RIPE Net::IP, ale nie
współdzieli z nim implementacji. Nie dzieli masek sieciowych nie-CIDR,
więc zabawne rzeczy typu maska 0xffffff0f są tutaj niewykonalne.

%prep
%setup -q -n %{module}-%{version}

%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT

%{__python} setup.py install \
	--optimize=2 \
	--root $RPM_BUILD_ROOT

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog PKG-INFO README AUTHORS COPYING
%attr(755,root,root) %{py_sitescriptdir}/*.py[co]
%{py_sitescriptdir}/*.egg-info

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-IPy.spec,v $
Revision 1.16  2012/01/22 16:26:07  zbyniu
- up to 0.75

Revision 1.15  2011/02/21 15:21:45  areq
- 0.74

Revision 1.14  2010/11/13 00:19:31  pawelz
- release 3

Revision 1.13  2010/07/08 08:16:00  arekm
- release 2

Revision 1.12  2009/03/15 15:38:50  duddits
- up to 0.62
- macros
- single-version-externally-managed option obsolete
- %files

Revision 1.11  2008/10/14 06:42:27  arekm
- release 3

Revision 1.10  2008/10/03 17:51:49  arekm
- release 2

Revision 1.9  2007-02-13 08:06:42  glen
- tabs in preamble

Revision 1.8  2007/02/12 01:06:28  baggins
- converted to UTF-8

Revision 1.7  2006/11/07 20:28:51  qboosh
- pl, BR: rpm-pythonprov

Revision 1.6  2006/11/06 09:35:01  wiget
- updated to 0.52

Revision 1.5  2006/11/03 10:36:00  wiget
- missing BR

Revision 1.4  2006/11/03 10:33:34  wiget
- initial version
